# ArrayIterator::offsetSet

(PHP 5, PHP 7)

ArrayIterator::offsetSet — Set value for an offset

### Description

public ArrayIterator::offsetSet ( mixed `$index` , mixed `$newval` ) : void

Sets a value for a given offset.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`index`

  The index to set for.

`newval`

  The new value to store at the index.

### Return Values

No value is returned.

### See Also

- ArrayIterator::offsetGet() - Get value for an offset
- ArrayIterator::offsetUnset() - Unset value for an offset